# Using git

## Howto

## Guidelines

### Commit message

You can drink&code, but you can't drink&git!

    git config --local commit.template doc/gitmessage

As the message explains, please add a prefix to your commit showing the "subject" of your commit.
If your commit covers too many topic, it might be that it is just wrong.
However, sometimes it is fine: for example, if you write some PHP code on tt-rss which adds a new dependency
on some PHP extension, you will need to add that dependency into Dockerfile-tt-rss. So, both [D] and [TT]
could apply.
When multiple subjects apply, choose which is more important to you. 2 prefixes are allowed, if you really
think so.
Remember: if we wanted to know what changed in your commit, we would use git log --stat. The commit prefix
should catch the "spirit" of the commit.
